package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class PublishSyncDuoshanAllConfig {
    @c(LIZ = "register_duoshan")
    public PublishSyncDuoshanConfig registerDuoshan;
    @c(LIZ = "ungister_duoshan")
    public PublishSyncDuoshanConfig ungisterDuoshan;

    static {
        Covode.recordClassIndex(82883);
    }

    public PublishSyncDuoshanConfig getRegisterDuoshan() {
        PublishSyncDuoshanConfig publishSyncDuoshanConfig = this.registerDuoshan;
        if (publishSyncDuoshanConfig != null) {
            return publishSyncDuoshanConfig;
        }
        throw new C49504Ek();
    }

    public PublishSyncDuoshanConfig getUngisterDuoshan() {
        PublishSyncDuoshanConfig publishSyncDuoshanConfig = this.ungisterDuoshan;
        if (publishSyncDuoshanConfig != null) {
            return publishSyncDuoshanConfig;
        }
        throw new C49504Ek();
    }
}
